org.springframework.jdbc.support.incrementer

## Class DB2SequenceMaxValueIncrementer

- java.lang.Object
- - org.springframework.jdbc.support.incrementer.AbstractDataFieldMaxValueIncrementer
  - - org.springframework.jdbc.support.incrementer.AbstractSequenceMaxValueIncrementer
    - - org.springframework.jdbc.support.incrementer.DB2SequenceMaxValueIncrementer

All Implemented Interfaces:
  InitializingBean, DataFieldMaxValueIncrementer

    public class DB2SequenceMaxValueIncrementer
    extends AbstractSequenceMaxValueIncrementer

`DataFieldMaxValueIncrementer` that retrieves the next value of a given sequence on DB2 UDB (for Unix and Windows). Thanks to Mark MacMahon for the suggestion!

Since:
  1.1.3
Author:
  Juergen Hoeller
See Also:
  `DB2MainframeSequenceMaxValueIncrementer`

### Field Summary

### Fields inherited from class org.springframework.jdbc.support.incrementer.AbstractDataFieldMaxValueIncrementer

`paddingLength`

### Constructor Summary

Constructors
Constructor and Description
`DB2SequenceMaxValueIncrementer()` Default constructor for bean property style usage.
`DB2SequenceMaxValueIncrementer(DataSource dataSource, String incrementerName)` Convenience constructor.

### Method Summary

Methods
`protected String` `getSequenceQuery()` Return the database-specific query to use for retrieving a sequence value.

### Methods inherited from class org.springframework.jdbc.support.incrementer.AbstractSequenceMaxValueIncrementer

`getNextKey`

### Methods inherited from class org.springframework.jdbc.support.incrementer.AbstractDataFieldMaxValueIncrementer

`afterPropertiesSet, getDataSource, getIncrementerName, getPaddingLength, nextIntValue, nextLongValue, nextStringValue, setDataSource, setIncrementerName, setPaddingLength`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DB2SequenceMaxValueIncrementer

    public DB2SequenceMaxValueIncrementer()

Default constructor for bean property style usage.

See Also:
  `AbstractDataFieldMaxValueIncrementer.setDataSource(javax.sql.DataSource)`, `AbstractDataFieldMaxValueIncrementer.setIncrementerName(java.lang.String)`

#### DB2SequenceMaxValueIncrementer

    public DB2SequenceMaxValueIncrementer(DataSource dataSource,
                                  String incrementerName)

Convenience constructor.

Parameters:
  `dataSource` - the DataSource to use
  `incrementerName` - the name of the sequence/table to use

### Method Detail

#### getSequenceQuery

    protected String getSequenceQuery()

Description copied from class: `AbstractSequenceMaxValueIncrementer`
Return the database-specific query to use for retrieving a sequence value.

The provided SQL is supposed to result in a single row with a single column that allows for extracting a `long` value.

Specified by:
  `getSequenceQuery` in class `AbstractSequenceMaxValueIncrementer`